/*
*  FH Dortmund Theme for Codemirror http://codemirror.net/
*/

body { padding: 0; margin: 0; }
.CodeMirror { border: 1px solid #eee; height: auto !important; width: 99%; }

svg:not(:root) { display: block; }

.playable-canvas { border: 1px solid #4D4E53; border-radius: 2px; }
.playable-buttons { text-align: left; width: 90%; padding: 5px 10px 10px 0px; }

.cm-s-fh-do.CodeMirror { color: #999; background-color: #f8f8f8; font-size: 1em; line-height: 1.2em; letter-spacing: 0.3px;}
.cm-s-fh-do div.CodeMirror-selected { background: #e2e2e2; }
.cm-s-fh-do .CodeMirror-line::selection, .cm-s-fh-do .CodeMirror-line > span::selection, .cm-s-fh-do .CodeMirror-line > span > span::selection { background: #e2e2e2; }
.cm-s-fh-do .CodeMirror-line::-moz-selection, .cm-s-fh-do .CodeMirror-line > span::-moz-selection, .cm-s-fh-do .CodeMirror-line > span > span::-moz-selection { background: #e2e2e2; }

.cm-s-fh-do .CodeMirror-gutters { background: #fff; border-left: 6px solid rgba(255,103,0,0.85); color: #333; }
.cm-s-fh-do .CodeMirror-linenumber { color: #aaa; padding-left: 8px; }
.cm-s-fh-do .CodeMirror-cursor { border-left: 2px solid #222; }

.cm-s-fh-do .cm-keyword { color: #6262FF; }
.cm-s-fh-do .cm-atom { color: #9400D3; }
.cm-s-fh-do .cm-number { color:  #ca7841; }
.cm-s-fh-do .cm-def { color: #8DA6CE; }
.cm-s-fh-do span.cm-variable-2, .cm-s-fh-do span.cm-tag { color: #690; }
.cm-s-fh-do span.cm-variable-3, .cm-s-fh-do span.cm-def { color: #07a; }

.cm-s-fh-do .cm-variable { color: #07a; }
.cm-s-fh-do .cm-property { color: #905; }
.cm-s-fh-do .cm-qualifier { color: #690; }

.cm-s-fh-do .cm-operator { color: #cda869; }
.cm-s-fh-do .cm-comment { color:#2c8804; font-weight:italic; }
.cm-s-fh-do .cm-string { color:#000ACC; font-style:italic; }
.cm-s-fh-do .cm-string-2 { color:#bd6b18; }
.cm-s-fh-do .cm-meta { color: #000; }
.cm-s-fh-do .cm-builtin { color: #9B7536; }
.cm-s-fh-do .cm-tag { color: #997643; }
.cm-s-fh-do .cm-attribute { color: crimson; }
.cm-s-fh-do .cm-header { color: #FF6400; }
.cm-s-fh-do .cm-hr { color: #AEAEAE; }
.cm-s-fh-do .cm-link { color:#ad9361; font-style:italic; text-decoration:none; }
.cm-s-fh-do .cm-error { border-bottom: 1px solid red; }

div.cm-s-fh-do .CodeMirror-activeline-background { background: #efefff; }
div.cm-s-fh-do span.CodeMirror-matchingbracket { outline:1px solid grey; color: inherit; }